/****************************************************************************
 * Copyright (c) 2010-2012, EBM WebSourcing - All rights reserved.
 * Copyright (c) 2013, Linagora - All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of the University of California, Berkeley nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE REGENTS AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ****************************************************************************/
package com.ebmwebsourcing.easycommons.lang.reflect;

/**
 * @author Adrien Ruffie - EBM WebSourcing
 */
public class ClassD {

    public static final String STATIC_FINAL_PUBLIC_FIELD_NAME = "STATIC_FINAL_PUBLIC_FIELD";

    public static final String STATIC_FINAL_PUBLIC_RO_1_FIELD_NAME = "STATIC_FINAL_PUBLIC_RO_1_FIELD";

    public static final String STATIC_FINAL_PUBLIC_RO_2_FIELD_NAME = "STATIC_FINAL_PUBLIC_RO_2_FIELD";

    public static final String STATIC_FINAL_PROTECTED_FIELD_NAME = "STATIC_FINAL_PROTECTED_FIELD";

    public static final String STATIC_FINAL_PRIVATE_FIELD_NAME = "STATIC_FINAL_PRIVATE_FIELD";

    public static final String STATIC_PUBLIC_FIELD_NAME = "STATIC_PUBLIC_FIELD";

    public static final String STATIC_PROTECTED_FIELD_NAME = "STATIC_PROTECTED_FIELD";

    public static final String STATIC_PRIVATE_FIELD_NAME = "STATIC_PRIVATE_FIELD";

    public static final String FINAL_PUBLIC_FIELD_NAME = "finalPublicField";

    public static final String FINAL_PROTECTED_FIELD_NAME = "finalProtectedField";

    public static final String FINAL_PRIVATE_FIELD_NAME = "finalPrivateField";

    public static final String PUBLIC_FIELD_NAME = "publicField";

    public static final String PROTECTED_FIELD_NAME = "protectedField";

    public static final String PRIVATE_FIELD_NAME = "privateField";

    /* Static final attributes */
    public static final int STATIC_FINAL_PUBLIC_FIELD = 0;

    public static final int STATIC_FINAL_PUBLIC_RO_1_FIELD = 0;

    public static final int STATIC_FINAL_PUBLIC_RO_2_FIELD = 0;

    protected static final int STATIC_FINAL_PROTECTED_FIELD = 1;

    private static final int STATIC_FINAL_PRIVATE_FIELD = 2;

    /* Static attributes */
    public static int STATIC_PUBLIC_FIELD = 5;

    protected static int STATIC_PROTECTED_FIELD = 6;

    private static int STATIC_PRIVATE_FIELD = 7;

    /* Final attributes */
    public final int finalPublicField;

    protected final int finalProtectedField;

    private final int finalPrivateField;

    /* Basic attributes */
    @SuppressWarnings("unused")
    public int publicField;

    @SuppressWarnings("unused")
    protected int protectedField;

    @SuppressWarnings("unused")
    private int privateField;

    @SuppressWarnings("unused")
    public ClassD() {
        this.finalPublicField = STATIC_FINAL_PUBLIC_FIELD;
        this.finalProtectedField = STATIC_FINAL_PROTECTED_FIELD;
        this.finalPrivateField = STATIC_FINAL_PRIVATE_FIELD;
        this.publicField = STATIC_PUBLIC_FIELD;
        this.protectedField = STATIC_PROTECTED_FIELD;
        this.privateField = STATIC_PRIVATE_FIELD;
    }

}